Bug 132057 - Calc jumping to "protected cells" during data entry in spreadsheets
Summary: Calc jumping to "protected cells" during data entry in spreadsheets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-1024plus-Columns
  Show dependency treegraph
 
Reported: 2020-04-11 23:51 UTC by Steven
Modified: 2022-02-17 09:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Template for managing time between 2 providers and one client (69.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-13 21:18 UTC, Steven
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven 2020-04-11 23:51:03 UTC
Description:
I have built several spreadsheets and set certain cells to be selected for input. Recently, when pressing enter or tab, cell focus has jumped to protected cells outside the format area. I have checked the formatting several times and have gone so far as to select all (except desired area), clear contents, delete entire columns and rows. The problem still remains, when entering data into the spreadsheets, using enter or tab goes "off sheet" to undesirable locations which is extremely annoying. This "problem started a few months ago (used to work fine). Hoped the recent upgrade would fix the issue, however it has not. I am using Libreoffice 6.4.2.2 in Windows 10. The problem persists on both my desktop and my laptop so it is not machine specific. Thanks in advance for any help or insight you may be able to provide.

Steps to Reproduce:
1.Create sheet and format desired cells as unprotected
2.Protect sheet
3.enter data into first first data cell press enter or tab

Actual Results:
After selecting the first unprotected cell in the first row, entering data and pressing "Enter" or "Tab", focus moves to next unprotected cell to the right for data entry if in the same row. If there are no more "unprotected cells in the current row, pressing "Enter" or "Tab" will jump to an "protected cell" outside the formatted sheet area. It will keep selecting cells to the right for several cells, then jump back into the formatted area at which time it will then stay within the formatted area until the document is closed and reopened. If I select the first cell in the top row and hold the "Enter" key until it runs through selecting "outside the formatted area" and returns to the unprotected cells, I can then begin entering data and jump to each cell in sequence as expected.
The issue reasserts itself every time the document is opened for data entry.

Expected Results:
select first cell for data entry, move to next unprotected cell to the right for data entry on "Enter". Continue to the right until last unprotected cell is entered, then move to the first unprotected cell in the next row for data entry. Continue until entering data in all cells across each row is complete, then return to first data cell in the top row when pressing "Enter".


Reproducible: Always


User Profile Reset: Yes



Additional Info:
If I select the first cell in the top row and hold the "Enter" key until it runs through selecting "outside the formatted area" and returns to the unprotected cells, I can then begin entering data and jump to each cell in sequence as expected.
Comment 1 Oliver Brinzing 2020-04-12 05:28:34 UTC
Thank you for reporting the bug. 

Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

You may also check if your issue is related to

Bug 126904 - In LO Calc: Right arrow causes a large unexpected column jump in protected sheet. 

Bug 131455 - Right arrow causes a large unexpected column jump.


I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 2 Steven 2020-04-13 21:18:25 UTC
Created attachment 159542 [details]
Template for managing time between 2 providers and one client

Here is the requested "sample" (actual data free template document)
Comment 3 QA Administrators 2020-04-14 03:27:40 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2020-06-19 14:21:47 UTC
Bibisected with Linux 6.3 repo to https://git.libreoffice.org/core/+/7282014e362a1529a36c88eb308df8ed359c2cfa%5E!/
tdf#50916 Makes numbers of columns dynamic.

Adding Cc: to Noel Grandin

Steps to repro:
1. Open attachment 159542 [details]
2. Hit Enter

The bad result is that focus jumps to BM1. Should instead jump to G39
Comment 5 Timur 2022-01-18 14:27:20 UTC
Repro 7.4+.
Comment 6 Commit Notification 2022-02-16 20:37:34 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a717029e217621482ef799731f945090c6d6be4b

for unallocated columns check default column attributes (tdf#132057)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-02-17 06:50:47 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b447be3ccba686c4e35d61b05b50d31045c9d1ac

tdf#132057: sc_uicalc: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-02-17 08:15:18 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/5bdf7c93abd15dc422586228186e822096ce1517

for unallocated columns check default column attributes (tdf#132057)

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-02-17 09:29:58 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/ada399e8a3c5d5f3c9425cae0da486fed90175e6

for unallocated columns check default column attributes (tdf#132057)

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.